/***************************************************************
 * Name:      LED_BLINK_02Main.h
 * Purpose:   Defines Application Frame
 * Author:    Niels Nikolaisen (niko@nikolaisens.de)
 * Created:   2016-01-27
 * Copyright: Niels Nikolaisen (www.elektronik.nmp24.de)
 * License:
 **************************************************************/

#ifndef LED_BLINK_02MAIN_H
#define LED_BLINK_02MAIN_H

//(*Headers(LED_BLINK_02Dialog)
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/statline.h>
#include <wx/button.h>
#include <wx/dialog.h>
//*)

class LED_BLINK_02Dialog: public wxDialog
{
    public:

        LED_BLINK_02Dialog(wxWindow* parent,wxWindowID id = -1);
        virtual ~LED_BLINK_02Dialog();

    private:

        //(*Handlers(LED_BLINK_02Dialog)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        void OnButton2Click(wxCommandEvent& event);
        //*)

        //(*Identifiers(LED_BLINK_02Dialog)
        static const long ID_STATICTEXT1;
        static const long ID_BUTTON1;
        static const long ID_STATICLINE1;
        static const long ID_BUTTON2;
        //*)

        //(*Declarations(LED_BLINK_02Dialog)
        wxButton* Button1;
        wxStaticText* StaticText1;
        wxBoxSizer* BoxSizer2;
        wxButton* Button2;
        wxStaticLine* StaticLine1;
        wxBoxSizer* BoxSizer1;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // LED_BLINK_02MAIN_H
